import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, n = (l, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? u(r, i) : r, o = l.length - 1, c; o >= 0; o--)
    (c = l[o]) && (e = (t ? c(r, i, e) : c(e)) || e);
  return t && e && f(r, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--minusCircleLarge", this.class = "c-pieIcon c-pieIcon--minusCircleLarge", this.name = "IconMinusCircleLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--minusCircleLarge"><path d="M9.814 15.125v1.75h12.372v-1.75H9.814Z"></path><path d="M24.663 7.338A12.25 12.25 0 1 0 7.339 24.663 12.25 12.25 0 0 0 24.663 7.338Zm-1.234 16.09A10.5 10.5 0 1 1 8.605 8.555 10.5 10.5 0 0 1 23.43 23.43Z"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  m("icon-minus-circle-large")
], s);
export {
  s as IconMinusCircleLarge
};
